- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ovirt_event – Create or delete an event in oVirt/RHV

New in version 2.8.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module can be used to create or delete an event in oVirt/RHV.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- ovirt-engine-sdk-python >= 4.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth dictionary / required |  | Dictionary with values needed to create HTTP/HTTPS connection to oVirt:
| ca_file string |  | A PEM file containing the trusted CA certificates. The certificate presented by the server will be verified using these CA certificates. If `ca_file` parameter is not set, system wide CA certificate store is used. Default value is set by `OVIRT_CAFILE` environment variable.
| headers dictionary |  | Dictionary of HTTP headers to be added to each API call.
| hostname string |  | A string containing the hostname of the server, usually something like `server.example.com`. Default value is set by `OVIRT_HOSTNAME` environment variable. Either `url` or `hostname` is required.
| insecure boolean | Choices: no yes | A boolean flag that indicates if the server TLS certificate and host name should be checked.
| kerberos boolean | Choices: no yes | A boolean flag indicating if Kerberos authentication should be used instead of the default basic authentication.
| password string / required |  | The password of the user. Default value is set by `OVIRT_PASSWORD` environment variable.
| token string |  | Token to be used instead of login with username/password. Default value is set by `OVIRT_TOKEN` environment variable.
| url string |  | A string containing the API URL of the server, usually something like `https://server.example.com/ovirt-engine/api`. Default value is set by `OVIRT_URL` environment variable. Either `url` or `hostname` is required.
| username string / required |  | The name of the user, something like admin@internal. Default value is set by `OVIRT_USERNAME` environment variable.
cluster string |  | The id of the cluster associated with this event.
custom_id integer |  | Custom ID for the event. This ID must be unique for each event. Required when state is present.
data_center string |  | The id of the data center associated with this event.
description string |  | Message for the event. Required when state is present.
fetch_nested boolean | Choices: no yes | If True the module will fetch additional data from the API. It will fetch IDs of the VMs disks, snapshots, etc. User can configure to fetch other attributes of the nested entities by specifying `nested_attributes`.
host string |  | The id of the host associated with this event.
id string |  | The event ID in the oVirt/RHV audit_log table. This ID is not the same as custom_id and is only used when state is absent. Required when state is absent.
nested_attributes list |  | Specifies list of the attributes which should be fetched from the API. This parameter apply only when `fetch_nested` is true.
origin string |  | Originator of the event. Required when state is present.
poll_interval integer | Default: 3 | Number of the seconds the module waits until another poll request on entity status is sent.
severity string | Choices: error normal ← warning | Severity of the event. Required when state is present.
state string | Choices: present ← absent | Should the event be present/absent. The `wait` option must be set to false when state is absent.
storage_domain string |  | The id of the storage domain associated with this event.
template string |  | The id of the template associated with this event.
timeout integer | Default: 180 | The amount of time in seconds the module should wait for the instance to get into desired state.
user string |  | The id of the user associated with this event.
vm string |  | The id of the VM associated with this event.
wait boolean | Choices: no yes ← | `yes` if the module should wait for the entity to get into desired state.

## Notes

Note

- In order to use this module you have to install oVirt Python SDK. To ensure it’s installed with correct version you can create the following task: pip: name=ovirt-engine-sdk-python version=4.3.0

## Examples

    # Examples don't contain the auth parameter for simplicity,
    # look at the ovirt_auth module to see how to reuse authentication.

    - name: Create an event
      ovirt_event:
        state: present
        description: "The file system /home on host xyz is almost full!"
        origin: "mymonitor"
        custom_id: 123456789
        severity: warning

    - name: Create an event and link it to a specific object
      ovirt_event:
        state: present
        description: "The file system /home is almost full!"
        origin: "mymonitor"
        custom_id: 123456789
        severity: warning
        vm: "c79db183-46ef-44d1-95f9-1a368c516c19"

    - name: Remove an event
      ovirt_event:
        state: absent
        id: 123456789
        wait: false

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
event dictionary | On success. | Dictionary of all the Event attributes. All event attributes can be found at the following url: http://ovirt.github.io/ovirt-engine-api-model/master/#types/event
id string | On success. | ID of the event that was created.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Chris Keller (@nasx)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.